#ifndef _GNU_SOURCE
#define _GNU_SOURCE 1
#endif
#include <stdio.h>
#include <stdlib.h>
#include <sys/types.h>
#include <unistd.h>
char *p;

int
main (int argc, char* argv[])
{
	setuid(0);
  	if (asprintf(&p, "/bin/bash /usr/bin/nlvmi %s %s %s", argv[1], argv[2], argv[3]) != -1)
	{
        	system(p);
	}
}
